curl --request PUT \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/results/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"result": {
"status": "active",
"lineItem": {
"sourcedId": "<string>"
},
"student": {
"sourcedId": "<string>"
},
"scoreStatus": "exempt",
"scoreDate": "2023-11-07T05:31:56Z",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"class": {
"sourcedId": "<string>"
},
"scoreScale": {
"sourcedId": "<string>"
},
"score": 123,
"textScore": "<string>",
"comment": "<string>",
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveResults": [
{
"learningObjectiveId": "<string>",
"score": 123,
"textScore": "<string>"
}
]
}
],
"inProgress": "<string>",
"incomplete": "<string>",
"late": "<string>",
"missing": "<string>"
}
}
'{
"result": {
"status": "active",
"lineItem": {
"sourcedId": "<string>"
},
"student": {
"sourcedId": "<string>"
},
"scoreStatus": "exempt",
"scoreDate": "2023-11-07T05:31:56Z",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"class": {
"sourcedId": "<string>"
},
"scoreScale": {
"sourcedId": "<string>"
},
"score": 123,
"textScore": "<string>",
"comment": "<string>",
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveResults": [
{
"learningObjectiveId": "<string>",
"score": 123,
"textScore": "<string>"
}
]
}
],
"inProgress": "<string>",
"incomplete": "<string>",
"late": "<string>",
"missing": "<string>"
}
}To update an existing result or create a new one if it doesn’t exist. The sourcedId for the record is supplied by the requesting system.
curl --request PUT \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/results/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"result": {
"status": "active",
"lineItem": {
"sourcedId": "<string>"
},
"student": {
"sourcedId": "<string>"
},
"scoreStatus": "exempt",
"scoreDate": "2023-11-07T05:31:56Z",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"class": {
"sourcedId": "<string>"
},
"scoreScale": {
"sourcedId": "<string>"
},
"score": 123,
"textScore": "<string>",
"comment": "<string>",
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveResults": [
{
"learningObjectiveId": "<string>",
"score": 123,
"textScore": "<string>"
}
]
}
],
"inProgress": "<string>",
"incomplete": "<string>",
"late": "<string>",
"missing": "<string>"
}
}
'{
"result": {
"status": "active",
"lineItem": {
"sourcedId": "<string>"
},
"student": {
"sourcedId": "<string>"
},
"scoreStatus": "exempt",
"scoreDate": "2023-11-07T05:31:56Z",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"class": {
"sourcedId": "<string>"
},
"scoreScale": {
"sourcedId": "<string>"
},
"score": 123,
"textScore": "<string>",
"comment": "<string>",
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveResults": [
{
"learningObjectiveId": "<string>",
"score": 123,
"textScore": "<string>"
}
]
}
],
"inProgress": "<string>",
"incomplete": "<string>",
"late": "<string>",
"missing": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the result
Represents a result.
Show child attributes
Result successfully created or updated
Represents a result.
Show child attributes